"use strict";
exports.__esModule = true;
exports.componentTemplate = exports.ruiSpecifiersName = exports.ruiExtraSpecifier = exports.reactSpecifiersName = exports.libraryName = void 0;
/** target library name */
exports.libraryName = '@ad/r-ui';
/** react specifier to add */
exports.reactSpecifiersName = ['Suspense', 'lazy'];
/** useMobile */
exports.ruiExtraSpecifier = 'useMobile';
/** whitelist for component specifiers */
exports.ruiSpecifiersName = [exports.ruiExtraSpecifier, 'message', 'tooltip'];
/** dynamic import template */
exports.componentTemplate = "\n\tconst COMPONENT_NAME = (props) => {\n\t\tconst isMobile = USE_MOBILE\n\n\t\tif (isMobile) {\n\t\t\tconst M_COMP_VAR = lazy(() => M_IMPORT)\n\t\t\treturn <Suspense fallback={<div>loading~~</div>}>\n\t\t\t\t<M_COMP_TAG {...props} />\n\t\t\t</Suspense>\n\t\t}\n\n\t\tconst PC_COMP_VAR = lazy(() => PC_IMPORT)\n\t\treturn (\n\t\t\t<Suspense fallback={<div>loading~~</div>}>\n\t\t\t\t<PC_COMP_TAG {...props} />\n\t\t\t</Suspense>\n\t\t)\n\t}\n";
