"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
exports.__esModule = true;
exports.entryVisitor = void 0;
var t = __importStar(require("@babel/types"));
var difference_1 = __importDefault(require("lodash/difference"));
var const_1 = require("./const");
// 确认要转换
var innerVisitor = {
    ImportDeclaration: function (path, state) {
        var plugin = state.plugin;
        if (!plugin)
            return;
        var libraryName = plugin.opts.libraryName, getState = plugin.getState, updateState = plugin.updateState;
        // insert extra react Specifiers after last import
        if (!t.isImportDeclaration(path.getNextSibling()) && !getState().reactTransformed) {
            var extraSpecifiers = (0, difference_1["default"])(const_1.reactSpecifiersName, getState().reactSpecifiers);
            if (extraSpecifiers.length) {
                path.insertAfter(t.importDeclaration(extraSpecifiers.map(function (n) {
                    return t.importSpecifier(t.identifier(n), t.identifier(n));
                }), t.stringLiteral('react')));
                updateState('reactTransformed', true);
            }
        }
        // collect react specifiers
        if (t.isStringLiteral(path.node.source, { value: 'react' }) && !getState().reactTransformed) {
            var specifiers_1 = path.node.specifiers.map(function (i) { return i.local.name; });
            updateState('reactSpecifiers', function (prev) { return prev.concat(specifiers_1); });
        }
        // deal target library
        if (t.isStringLiteral(path.node.source, { value: libraryName })) {
            path.traverse({
                ImportSpecifier: function (path) {
                    var siblings = path.container.filter(function (i) { return t.isImportSpecifier(i); });
                    // add useMobile if necessary
                    if (!siblings.find(function (i) { var _a; return ((_a = i.imported) === null || _a === void 0 ? void 0 : _a.name) === const_1.ruiExtraSpecifier; })) {
                        path.insertAfter(t.importSpecifier(t.identifier(const_1.ruiExtraSpecifier), t.identifier(const_1.ruiExtraSpecifier)));
                    }
                    // 支持动态加载的组件，从原来的引用中删除，同时追加组件名
                    if (!const_1.ruiSpecifiersName.includes(path.node.imported.name)) {
                        plugin.updateState('compNames', function (prev) { return prev.concat(path.node.imported.name); });
                        path.remove();
                    }
                }
            });
            plugin.overwriteComponents(path.findParent(function (i) { return i.isProgram(); }));
        }
    }
};
exports.entryVisitor = {
    ImportDeclaration: function (path, state) {
        var plugin = state.plugin;
        if (!plugin)
            return;
        var libraryName = plugin.opts.libraryName;
        if (t.isStringLiteral(path.node.source, { value: libraryName })) {
            if (path.node.specifiers
                .filter(function (i) { return t.isImportSpecifier(i); })
                .find(function (i) { return !const_1.ruiSpecifiersName.includes(i.imported.name); })) {
                path
                    .findParent(function (path) { return path.isProgram(); })
                    .traverse(innerVisitor, {
                    plugin: plugin
                });
            }
        }
    }
};
